EasyEclipse findet Modul arcgisscripting nicht

Wenn du dir nicht sicher bist, in welchem der anderen Foren du die Frage stellen sollst, dann bist du hier im Forum für allgemeine Fragen sicher richtig.
KlausS
User
Beiträge: 40
Registriert: Donnerstag 24. Januar 2008, 08:52
Wohnort: Leverkusen

EasyEclipse findet Modul arcgisscripting nicht

Beitragvon KlausS » Donnerstag 24. Januar 2008, 09:04

Hallo Liste,

ich suche nach einer IDE für Python, um die Geoverarbeitung von ArcGIS zu steuern. Beim Test von EasyEclipse tritt beim Import des Moduls
arcgisscripting ein Fehler auf.
ImportError: No module named arcgisscripting

Unter IDLE, PythonWin und PyScripter wird das Modul gefunden und importiert.
Kann mir jemand sagen, welche Schritte in EasyElipse erforderlich sind,
damit das Modul importiert werden kann.

Danke im vorraus.
Klaus
Benutzeravatar
Leonidas
Administrator
Beiträge: 16023
Registriert: Freitag 20. Juni 2003, 16:30
Kontaktdaten:

Beitragvon Leonidas » Donnerstag 24. Januar 2008, 13:07

Du musst es wohl in den PYTHONPATH eintragen lassen. Dazu musst du feststellen wo es installiert ist und den Ordner in Eclipse dann irgendwo eintragen.
My god, it's full of CARs! | Leonidasvoice vs Modvoice
KlausS
User
Beiträge: 40
Registriert: Donnerstag 24. Januar 2008, 08:52
Wohnort: Leverkusen

Beitragvon KlausS » Donnerstag 24. Januar 2008, 17:34

Danke für den Tipp.
Python 2.4 wurde bei der Installation von ArcGIS mit installiert und hat so für die entsprechende Verknüpfung gesorgt. Nach dem Einbinden der DLL funktioniert alles. Jetzt kann ich testen, ob easyeclipse die richtige IDE für mich ist.

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder